package com.bonus.canteen.core.auth.oauth.app.manage.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.NotBlank;

@ApiModel("app手机验证码登录入参")
public class AppMobileUserModifyPhoneDTO extends AppMobileUserLoginDTO {
   @ApiModelProperty("原手机号")
   private @NotBlank(
   message = "{auth_mobile_null}"
) String oldTelephoneNumber;

   public String getOldTelephoneNumber() {
      return this.oldTelephoneNumber;
   }

   public void setOldTelephoneNumber(final String oldTelephoneNumber) {
      this.oldTelephoneNumber = oldTelephoneNumber;
   }

   public String toString() {
      return "AppMobileUserModifyPhoneDTO(oldTelephoneNumber=" + this.getOldTelephoneNumber() + ")";
   }

}
